/*
此文件为通用文件，一般用于50hz的驱动等和引脚高低，适合车和船使用，
如果有其他需求，此文件就不需要使用
*/
#ifndef GPIO_INIT_H__
#define GPIO_INIT_H__

// 定义 PWM 引脚的 WiringPi 编号
#define PWM_PIN_SPEED 21
#define PWM_PIN_CHANGE 2

extern int g_gpioPwm[20];//软件控制
extern int g_gpiowpi[30]; //能使用高低引脚和其他引脚
extern int g_gpio_input[20]; //能读取引脚

extern int g_gpiocount;//gpio引脚数量
extern int g_gpio_softpwmcount;//pwm引脚数量
extern int g_gpio_inputcount;

void init_gpiowpi(const int *values_pin);//gpio引脚初始化
void init_gpiopwm(const int *values_pwm);
void init_gpio_input(const int *values_pwm);//gpio读取

// 定义 PWM 引脚的 WiringPi 编号
void pin_all_default();//拉低车的控制引脚
void tank0204_pin_all_default();//拉低坦克专用的控制引脚

void pwm_all_default();//软件pwm置0引脚
void physics_pwm_init(); 

void tankpwm_default();//坦克专用pwm置0引脚


#endif
